<template>
  <section class="container--searchposition">
    <div class="toggle--options" @click="togglePositions">
      <span class="toggle--options--title">Positions</span>
      <img src="../../assets/icons/arrow.svg" class="toggle--options--arrow" :class="resolveToggleClass" alt="Toggle options" />
    </div>
    <div class="search-container" v-if="showSearchCategorie">
      <input type="text" name="searchCategorieInput" placeholder="Search Positions" v-model="searchCategorieInput" />
      <AsideCategories :categories="categoriesComputed" :mobile="true" class="pt-2" />
    </div>
  </section>
</template>

<script>
import { mapGetters } from 'vuex';
import AsideCategories from '@/components/organisms/AsideCategories';

export default {
  name: 'SearchPosition',
  components: {
    AsideCategories,
  },
  data() {
    return {
      searchCategorieInput: '',
      showSearchCategorie: false,
    };
  },
  methods: {
    togglePositions() {
      this.showSearchCategorie = !this.showSearchCategorie;
    },
  },
  computed: {
    ...mapGetters(['getSections']),
    categoriesComputed() {
      return this.searchCategorieInput.length > 0 ? this.getSections.filter(({ sectionName }) => sectionName.toLowerCase().includes(this.searchCategorieInput)) : this.getSections;
    },
    resolveToggleClass() {
      return this.showSearchCategorie ? 'show__more' : 'show__less';
    },
  },
};
</script>

<style lang="sass" scoped>
@import '@/assets/sass/sizes.sass'
@import '@/assets/sass/colors.sass'

input:focus
  outline: none
.search-container
  background: $white
  color: $secondary
  padding: 1.3rem
  position: relative
  z-index: 2

.toggle--options
  display: flex
  justify-content: space-between
  height: 3.3rem
  background: $gray
  padding: 0 $sm-size
  font-size: $lg-size
  align-items: center
.toggle--options--title
  font-size: $lg-size
.toggle--options--arrow
  height: 24px
  width: 24px
input
  background: $gray-ligth
  border: none
  border-radius: .3rem
  height: 2.2rem
  font-size: $sm-size
  padding: .4rem $md-size
  width:  -webkit-fill-available
  width:  -moz-available
.pt-2
  padding-top: $xs-size
.show__more
  transform: rotate(180deg)
  -webkit-transition: transform .3s ease-out
  user-select: none
.show__less
  transform: rotate(0deg)
  -webkit-transition: transform .3s ease-out
  user-select: none
::placeholder
  color: black
  opacity: 1 /* Firefox */
  font-style: italic
:-ms-input-placeholder /* Internet Explorer 10-11 */
  color: black
  font-style: italic
::-ms-input-placeholder /* Microsoft Edge */
  color: black
  font-style: italic
</style>
